package com.jeeplus.modules.sg.balancedlibrary.materialReportDetails.entity;

import com.jeeplus.core.persistence.DataEntity;

/**
 * @author enford
 * 利库比对历史记录实体类
 */
public class CompareHistory extends DataEntity<CompareHistory> {
    /**
     * 利库资源id
     */
    private String liKuId;

    /**
     * 物料资源id
     */
    private String materialId;

    /**
     * 利库数量
     */
    private Double numberNiches;

    /**
     * 比对类型
     */
    private String comparisonType;

    public String getLiKuId() {
        return liKuId;
    }

    public void setLiKuId(String liKuId) {
        this.liKuId = liKuId;
    }

    public String getMaterialId() {
        return materialId;
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public Double getNumberNiches() {
        return numberNiches;
    }

    public void setNumberNiches(Double numberNiches) {
        this.numberNiches = numberNiches;
    }

    public String getComparisonType() {
        return comparisonType;
    }

    public void setComparisonType(String comparisonType) {
        this.comparisonType = comparisonType;
    }
}
